Bug 1323135 - Move ipxe-bootimgs from optional to main repository
Summary: Move ipxe-bootimgs from optional to main repository
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: releng
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jan Blazek
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-01 11:09 UTC by Lukas Zapletal
Modified: 2016-11-03 22:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 22:04:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1323130 None CLOSED Update ipxe-bootimgs package 2019-08-19 11:31:32 UTC
Red Hat Product Errata RHEA-2016:2143 normal SHIPPED_LIVE redhat-release update 2016-11-03 13:11:14 UTC

Internal Links: 1323130

Description Lukas Zapletal 2016-04-01 11:09:42 UTC
Hello,

package ipxe is split into three subpackages:

[root@ibm-ls21-04 ~]# yum search ipxe

ipxe-bootimgs.noarch : Network boot loader images in bootable USB, CD...
ipxe-roms.noarch : Network boot loader roms in .rom format
ipxe-roms-qemu.noarch : Network boot loader roms supported by QEMU, .rom format

We use ipxe-bootimgs which is part of optional repository in Satellite 6 product, which is the only depencency from this repository (aside Docker which is optional in Satellite 6 and is not installed by default).

As part of this RFE, I request move of this subpackage for RHEL 7.3 if feasible for at least RHEL 7 Server product (all architectures).

This will make better Satellite 6 installation experience and I also think it makes things little bit more consistent. Thanks!

Comment 1 Lukas Zapletal 2016-04-01 11:19:20 UTC
Correction, we only need RHEL Server 7 x86_64 architecture at the moment.

Comment 2 Jan Blazek 2016-04-07 09:22:18 UTC
ipxe-bootimgs was explicitly moved to Server variant, x86_64 architecture.
It will also pull in it's dependencies.

Comment 5 Jakub Vavra 2016-07-19 08:00:22 UTC
The package is now in base on Server x86_64.

--------------------------------------------------------------------------------
|       Package report for ipxe-bootimgs on compose RHEL-7.3-20160707.2.       |
--------------------------------------------------------------------------------



e1378f0ecb377b60f68f6be32ede232760bf3fc7d5dd24dfb31e803bd13a6243-comps-Server.s390x.xml
The package ipxe-bootimgs is not present in the comps file.

62aece1f49b44a8d7318c23cabdc76e41d4b884c36b6914e3440f132c8d2a61b-comps-Server-HighAvailability.x86_64.xml
The package ipxe-bootimgs is not present in the comps file.

27cbcd9f7b3e567476ee4f79f54385e9a9ea2a6da5cf68bc3585dd788b7e0be6-comps-Server-optional.ppc64.xml
The package ipxe-bootimgs is not present in the comps file.
These matching rpms were found:
  - /mnt/globalsync/rhel/rel-eng/RHEL-7.3-20160707.2/compose/Server-optional/ppc64/os/Packages/ipxe-bootimgs-20160127-1.git6366fa7a.el7.noarch.rpm

9c6e12c8a1b62f76c7018faaa950f3c74977f87289476abcecf6d609fb00edca-comps-Server.ppc64le.xml
The package ipxe-bootimgs is not present in the comps file.

c3fbfe14bf0ef6871422138d8506a8713950883affc8c33b6ac0d8f46ad8a0eb-comps-Workstation.x86_64.xml
The package ipxe-bootimgs is not present in the comps file.

0aeaac25c9bdd189b238a1f16ee2f73936a7f499a7be5a3ed29a42ad37e982b5-comps-Server.ppc64.xml
The package ipxe-bootimgs is not present in the comps file.

8196674bd6d20cd596ffd47afac9128ebe4eea42bcff068235e2005713a71a16-comps-Server-optional.ppc64le.xml
The package ipxe-bootimgs is not present in the comps file.
These matching rpms were found:
  - /mnt/globalsync/rhel/rel-eng/RHEL-7.3-20160707.2/compose/Server-optional/ppc64le/os/Packages/ipxe-bootimgs-20160127-1.git6366fa7a.el7.noarch.rpm

2109cffd716dbe7d5aa9a3c9126a41b0cff9bc2cec78ea1192a150669bb6c7a2-comps-Server-NFV.x86_64.xml
The package ipxe-bootimgs is not present in the comps file.

8196674bd6d20cd596ffd47afac9128ebe4eea42bcff068235e2005713a71a16-comps-Server-optional.x86_64.xml
The package ipxe-bootimgs is not present in the comps file.

ce8dbf39c6859960787a439a946cf86df60fc8b974e8c8eb443680b3e579ac24-comps-Server-RT.x86_64.xml
The package ipxe-bootimgs is not present in the comps file.

c6279693430cf46cbb14a1ded9384a058bf6be343b11391e5ed48974d67acbd5-comps-ComputeNode.x86_64.xml
The package ipxe-bootimgs is not present in the comps file.

27cbcd9f7b3e567476ee4f79f54385e9a9ea2a6da5cf68bc3585dd788b7e0be6-comps-ComputeNode-optional.x86_64.xml
The package ipxe-bootimgs is not present in the comps file.
These matching rpms were found:
  - /mnt/globalsync/rhel/rel-eng/RHEL-7.3-20160707.2/compose/ComputeNode-optional/x86_64/os/Packages/ipxe-bootimgs-20160127-1.git6366fa7a.el7.noarch.rpm

89816b2c80247db299b78ff8564cf6cf0d6057acfcd2b31b9dbd8c3ecd9da02a-comps-Server.aarch64.xml
The package ipxe-bootimgs is not present in the comps file.

8e7daaec7467e4c04d9d2e4138cf3bb65925e6a8bc2d7baac4f7c823b08d37df-comps-Server-ResilientStorage.x86_64.xml
The package ipxe-bootimgs is not present in the comps file.

b6e4c39eef2567a9907f047226842f2e3ae7eff8d9662ca951ccd9eeeb32745d-comps-Server.x86_64.xml
The package ipxe-bootimgs is not present in the comps file.
These matching rpms were found:
  - /mnt/globalsync/rhel/rel-eng/RHEL-7.3-20160707.2/compose/Server/x86_64/os/Packages/ipxe-bootimgs-20160127-1.git6366fa7a.el7.noarch.rpm

4fb990f7f393ee4687abaf492a0769ffe7d6973fdb10c3844a486581fce12c46-comps-Server-SAPHANA.x86_64.xml
The package ipxe-bootimgs is not present in the comps file.

c0d8669d2bfbde749209bdb4e841f41a35819668320f0db976b4cc24c33ce9ae-comps-Client.x86_64.xml
The package ipxe-bootimgs is not present in the comps file.

27cbcd9f7b3e567476ee4f79f54385e9a9ea2a6da5cf68bc3585dd788b7e0be6-comps-Workstation-optional.x86_64.xml
The package ipxe-bootimgs is not present in the comps file.
These matching rpms were found:
  - /mnt/globalsync/rhel/rel-eng/RHEL-7.3-20160707.2/compose/Workstation-optional/x86_64/os/Packages/ipxe-bootimgs-20160127-1.git6366fa7a.el7.noarch.rpm

27cbcd9f7b3e567476ee4f79f54385e9a9ea2a6da5cf68bc3585dd788b7e0be6-comps-Client-optional.x86_64.xml
The package ipxe-bootimgs is not present in the comps file.
These matching rpms were found:
  - /mnt/globalsync/rhel/rel-eng/RHEL-7.3-20160707.2/compose/Client-optional/x86_64/os/Packages/ipxe-bootimgs-20160127-1.git6366fa7a.el7.noarch.rpm

27cbcd9f7b3e567476ee4f79f54385e9a9ea2a6da5cf68bc3585dd788b7e0be6-comps-Server-optional.s390x.xml
The package ipxe-bootimgs is not present in the comps file.

8196674bd6d20cd596ffd47afac9128ebe4eea42bcff068235e2005713a71a16-comps-Server-optional.aarch64.xml
The package ipxe-bootimgs is not present in the comps file.

4e9f8bf51fdb640bd005d328e2e0da8e0f77e1126248141ee662270ff3cb6191-comps-Server-SAP.x86_64.xml
The package ipxe-bootimgs is not present in the comps file.

62aece1f49b44a8d7318c23cabdc76e41d4b884c36b6914e3440f132c8d2a61b-comps-Server-HighAvailability.s390x.xml
The package ipxe-bootimgs is not present in the comps file.

652c7bc161519e1cc09320dd867b0bf26c577591e51f6b9ec1229d5e437eea13-comps-Server-ResilientStorage.s390x.xml
The package ipxe-bootimgs is not present in the comps file.

Comment 7 errata-xmlrpc 2016-11-03 22:04:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2143.html


Note You need to log in before you can comment on or make changes to this bug.